_LWP_MAKECONTEXT(3)

NAME
_lwp_makecontext - create a new initial light-weight process execution context

LIBRARY
libc

SYNOPSIS
#include <lwp.h>
void
_lwp_makecontext(ucontext_t *context, void (*start_routine)(void *), void *arg, void *private, caddr_t stack_base, size_t stack_size);

DESCRIPTION
_lwp_makecontext() initializes the context structure pointed to by context in a manner suitable for using with _lwp_create(2). The LWP will begin execution at the function specified by start_routine which will be passed a single argument arg. The LWP private data pointer will be set to private. The stack region for the new LWP is specified by the stack_base and stack_size arguments.

The signal mask in the context structure is not initialized by _lwp_makecontext().

SEE ALSO
_lwp_create(2), _lwp_getprivate(2)

HISTORY
The _lwp_create() system call first appeared in NetBSD 2.0.

BUGS
The LWP private data pointer is not initialized by the current implementation of _lwp_makecontext().